commit:     332aedaa631cd1489068a55e6fa22d4689ddf3ad
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 25 18:31:23 2021 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Apr 25 18:31:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=332aedaa

dev-python/git-review: 2.1.0 bump

Closes: https://bugs.gentoo.org/757945
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/git-review/Manifest                |  1 +
 dev-python/git-review/git-review-2.1.0.ebuild | 25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/dev-python/git-review/Manifest b/dev-python/git-review/Manifest
index 045c3438a76..ce4633db6c6 100644
--- a/dev-python/git-review/Manifest
+++ b/dev-python/git-review/Manifest
@@ -1 +1,2 @@
 DIST git-review-1.28.0.tar.gz 60496 BLAKE2B 
19fa2b9a5e2f25d89cf123f277cb0213675e4b99b75a978ee49ee9a394c6f212d5bb58d5e5aee9cc3c20165e9872be159ec81dcf8ea37f509c96bbc79a84bcbd
 SHA512 
c29ad530abcfcf136548daf4865e1fe7c5819f6d4b11424c5c1425312c68fdc0e4073e009667b992e3f3db3396c7db618940c7f6e5be8b26e9d0d1b94fd078a4
+DIST git-review-2.1.0.tar.gz 62873 BLAKE2B 
6685e43da07d4be0ffe3202a6a9be172257a8e665091b457318c118d95f571a9b97e555d4afea85fe590f264039bd86815c5a365fbc484a24b5c4ea748a340c2
 SHA512 
7beda9e704076285459c29ce2b7c0f07ab180212f24f62fa484430dfb323eb4473f9be030706eeca587d5cfb5cdbba6759aeaec6d377717ebf9a0f0157e1a190

diff --git a/dev-python/git-review/git-review-2.1.0.ebuild 
b/dev-python/git-review/git-review-2.1.0.ebuild
new file mode 100644
index 00000000000..69eb5a3eb9d
--- /dev/null
+++ b/dev-python/git-review/git-review-2.1.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_7 python3_8 python3_9 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Tool to submit code to Gerrit"
+HOMEPAGE="https://git.openstack.org/cgit/openstack-infra/git-review";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x64-cygwin ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND=">=dev-python/pbr-4.1.0[${PYTHON_USEDEP}]"
+RDEPEND=">=dev-python/requests-1.1[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       sed -i -e '/manpages/,+1d' setup.cfg || die
+       distutils-r1_python_prepare_all
+}

Reply via email to